// 
// Send text to LCD
//
// e.g. lcdsend "line 1" "line 2"
//
// no bounds check so get the length of each line correct
//

#include <wiringPi.h>
#include "lcd.h"

int main (int argc, char *argv[])
{
  wiringPiSetup();
  lcdSetup();
  
  // 'splash' screen
  lcdPosition(0, 0); 
  
  if (argc > 1) {
   	lcdPuts(argv[1]);
  } else {
  	lcdPuts("1234567890abcdef");
  }
  
  delay(5);
  lcdPosition(0, 1); 
  
  if (argc > 2) {
  	lcdPuts(argv[2]);
  } else {
  	lcdPuts("ghijklmnopqrstuv");
  }
  delay(5);
  
  return 0;
}